// =====================================================================
//  $Id: imemory.cc,v 1.3 2003/10/06 04:03:39 goiwai Exp $
//  $Name: CLDAQ-1-14-03 $
//  $Log: imemory.cc,v $
//  Revision 1.3  2003/10/06 04:03:39  goiwai
//  TArgumentを使用するように全てのプログラムを修整しました.
//
//  Revision 1.2  2003/07/30 16:21:39  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TDataRecord.hh"
#include "TInputObjectSharedMemory.hh"
#include "TBenchmark.hh"
#include "TArgument.hh"

int main( int argc, char** argv, char** envv )
{
  TArgument arg( argc, argv );

  TInputObjectSharedMemory imemory;

  TDataRecord record;
  TBenchmark bench;
  bench.Start();
  while ( 1 ) {
    imemory >> record;
    if ( imemory.IsReadSuccess() ) {
      Tcout << record << Tendl;
    } else {
      sleep( 1 );
    }
  }
  bench.Stop();
  Tcout << bench << Tendl;

  return 0;
}
